"""initial migration

Revision ID: 81cfa9b3df33
Revises:
Create Date: 2020-03-01 22:04:05.080379

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '81cfa9b3df33'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('companies',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('company_name', sa.String(length=100), nullable=False),
                    sa.Column('billing_address_street', sa.String(length=100), nullable=True),
                    sa.Column('billing_address_postal_code', sa.String(length=100), nullable=True),
                    sa.Column('billing_address_city', sa.String(length=100), nullable=True),
                    sa.Column('billing_address_country', sa.String(length=100), nullable=True),
                    sa.Column('billing_recipient', sa.String(length=100), nullable=True),
                    sa.Column('billing_comment', sa.String(length=400), nullable=True),
                    sa.Column('correspondence_email_address', sa.String(length=100), nullable=True),
                    sa.Column('startup', sa.Boolean(), nullable=False),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('fairs',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('kontakt_title', sa.String(length=100), nullable=False),
                    sa.Column('kontakt_president', sa.String(length=100), nullable=False),
                    sa.Column('kontakt_treasurer', sa.String(length=100), nullable=False),
                    sa.Column('is_current', sa.Boolean(), nullable=False),
                    sa.Column('is_last', sa.Boolean(), nullable=False),
                    sa.Column('dates', sa.String(length=100), nullable=False),
                    sa.Column('registration_period', sa.String(length=100), nullable=False),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('booth_options',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('fair_id', sa.Integer(), nullable=False),
                    sa.Column('booth_category', sa.String(length=1), nullable=False),
                    sa.Column('day_one_spots', sa.Integer(), nullable=False),
                    sa.Column('day_two_spots', sa.Integer(), nullable=False),
                    sa.Column('price_one_day_small', sa.Float(), nullable=False),
                    sa.Column('price_two_days_small', sa.Float(), nullable=False),
                    sa.Column('price_one_day_large', sa.Float(), nullable=False),
                    sa.Column('price_two_days_large', sa.Float(), nullable=False),
                    sa.ForeignKeyConstraint(['fair_id'], ['fairs.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('company_profiles',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('fair_id', sa.Integer(), nullable=False),
                    sa.Column('company_id', sa.Integer(), nullable=False),
                    sa.Column('website', sa.String(length=100), nullable=True),
                    sa.Column('about_us', sa.UnicodeText(), nullable=True),
                    sa.Column('focus', sa.UnicodeText(), nullable=True),
                    sa.Column('offers', sa.String(length=100), nullable=True),
                    sa.Column('interesting_students', sa.String(length=100), nullable=True),
                    sa.Column('contact_for_students', sa.UnicodeText(), nullable=True),
                    sa.Column('employees_world', sa.Integer(), nullable=True),
                    sa.Column('employees_ch', sa.Integer(), nullable=True),
                    sa.Column('locations', sa.UnicodeText(), nullable=True),
                    sa.Column('logo', sa.LargeBinary(), nullable=True),
                    sa.Column('advertisement', sa.LargeBinary(), nullable=True),
                    sa.ForeignKeyConstraint(['company_id'], ['companies.id'], ),
                    sa.ForeignKeyConstraint(['fair_id'], ['fairs.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('package_options',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('fair_id', sa.Integer(), nullable=False),
                    sa.Column('mutex_package_id', sa.Integer(), nullable=True),
                    sa.Column('title_de', sa.String(length=100), nullable=False),
                    sa.Column('title_en', sa.String(length=100), nullable=False),
                    sa.Column('description_de', sa.UnicodeText(), nullable=False),
                    sa.Column('description_en', sa.UnicodeText(), nullable=False),
                    sa.Column('price', sa.Float(), nullable=False),
                    sa.Column('includes_ad', sa.Boolean(), nullable=False),
                    sa.ForeignKeyConstraint(['fair_id'], ['fairs.id'], ),
                    sa.ForeignKeyConstraint(['mutex_package_id'], ['package_options.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('users',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('company_id', sa.Integer(), nullable=False),
                    sa.Column('first_name', sa.String(length=100), nullable=False),
                    sa.Column('last_name', sa.String(length=100), nullable=False),
                    sa.Column('email_address', sa.String(length=100), nullable=False),
                    sa.Column('password_hash', sa.String(length=200), nullable=False),
                    sa.Column('phone', sa.String(length=100), nullable=True),
                    sa.ForeignKeyConstraint(['company_id'], ['companies.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('participations',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('company_id', sa.Integer(), nullable=False),
                    sa.Column('fair_id', sa.Integer(), nullable=False),
                    sa.Column('booth_id', sa.Integer(), nullable=False),
                    sa.Column('day', sa.Enum('FIRST', 'SECOND', 'BOTH', name='fairdays'), nullable=False),
                    sa.Column('booth_size', sa.Enum('SMALL', 'LARGE', name='boothsize'), nullable=False),
                    sa.Column('table_type', sa.Enum('LOW', 'HIGH', name='tabletype'), nullable=False),
                    sa.Column('message', sa.UnicodeText(), nullable=True),
                    sa.Column('booth_location', sa.String(length=100), nullable=True),
                    sa.Column('time_of_signup', sa.String(length=100), server_default=sa.text('now()'), nullable=False),
                    sa.ForeignKeyConstraint(['booth_id'], ['booth_options.id'], ),
                    sa.ForeignKeyConstraint(['company_id'], ['companies.id'], ),
                    sa.ForeignKeyConstraint(['fair_id'], ['fairs.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('packages_booked',
                    sa.Column('package_id', sa.Integer(), nullable=False),
                    sa.Column('participation_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(['package_id'], ['package_options.id'], ),
                    sa.ForeignKeyConstraint(['participation_id'], ['participations.id'], ),
                    sa.PrimaryKeyConstraint('package_id', 'participation_id')
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('packages_booked')
    op.drop_table('participations')
    op.drop_table('users')
    op.drop_table('package_options')
    op.drop_table('company_profiles')
    op.drop_table('booth_options')
    op.drop_table('fairs')
    op.drop_table('companies')
    # ### end Alembic commands ###
